#include <stdio.h>
#include <stdlib.h>

main()
{
    pid_t pid;
    if((pid=fork())==-1)
		perror("fork");
    else if(pid==0)
    {
		printf("child process %d will become a zombie!\n",getpid());
		exit(0);
    } 
    sleep(2);
    system("ps u");
    exit(0);
}
